using System;
using System.Collections.Generic;
using System.Text;

namespace myMSP_ws_demo
{
    /// <summary>
    /// Supplies a set of utility methods
    /// </summary>
    class Utilities
    {
        /// <summary>
        /// Converts a image to a byte array
        /// </summary>
        /// <returns>The image as a byte array</returns>
        internal byte[] imageAsByteArray()
        {
            //Convert a image to a byte array
            System.Drawing.Image picture = Properties.Resources.mymsp_logo_webb; // 'mymsp_logo_webb' is a local test image
            System.IO.MemoryStream ms = new System.IO.MemoryStream();
            picture.Save(ms, System.Drawing.Imaging.ImageFormat.Bmp);
            byte[] picAsBytes = ms.ToArray();

            // Return the picture as a byte stream
            return picAsBytes;
        }

        /// <summary>
        /// Converts a byte array to a string
        /// </summary>
        /// <param name="stringAsBytes">The byte array</param>
        /// <returns>A string from the byte array</returns>
        internal string getStringFromByteArray(byte[] stringAsBytes)
        {
            ASCIIEncoding enc = new ASCIIEncoding();
            return enc.GetString(stringAsBytes);
        }

        /// <summary>
        /// Converts a byte array to an image
        /// </summary>
        /// <param name="imageAsBytes">The byte array</param>
        /// <returns>A image from the byte array</returns>
        internal System.Drawing.Image getImageFromByteArray(byte[] imageAsBytes)
        {
            System.IO.MemoryStream ms = new System.IO.MemoryStream(imageAsBytes);
            System.Drawing.Image theImage = System.Drawing.Image.FromStream(ms);

            return theImage;
        }
    }
}
